import { PropType } from 'vue';
import { CssClass } from '@/helpers/css-classes';
import { NotificationTypeName, NotificationType } from './models';
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    type: {
        type: PropType<NotificationTypeName>;
        default: NotificationType;
    };
    message: {
        type: PropType<string>;
        required: true;
    };
    size: {
        type: PropType<"sm" | "md" | "lg">;
        default: string;
        validator: (val: string) => boolean;
    };
    width: {
        type: PropType<number | null>;
        default: null;
    };
}, {
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
}, unknown, {
    style(): any;
    classes(): CssClass[];
}, {
    remove(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "remove"[], "remove", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    size: "sm" | "md" | "lg";
    width: number | null;
    type: NotificationTypeName;
    message: string;
} & {}>, {
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    size: "sm" | "md" | "lg";
    width: number | null;
    type: NotificationTypeName;
}>;
export default _default;
